Query Integrations
curl --request POST \
--url https://sandbox.tight.com/v6/integrations/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "ID"
},
"filter": {
"status": {
"in": [],
"notIn": []
},
"apiName": {
"in": [],
"notIn": []
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/integrations/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": { "orderBy": "ID" },
"filter": {
"status": {
"in": [],
"notIn": []
},
"apiName": {
"in": [],
"notIn": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {orderBy: 'ID'},
filter: {status: {in: [], notIn: []}, apiName: {in: [], notIn: []}}
})
};
fetch('https://sandbox.tight.com/v6/integrations/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "int_12345",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"apiAccessToken": "<string>",
"additionalConsentRequired": false,
"apiUsername": "<string>",
"lastSyncedDate": "2023-12-25",
"apiInstitutionId": "<string>",
"apiInstitutionName": "<string>",
"apiErrorType": "<string>",
"apiErrorCode": "<string>"
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Integrations & Migrations
Query Integrations
Query integrations with pagination support
POST
/
v6
/
integrations
/
query
Query Integrations
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I